## eztrace-contrib 1.1

=== example/libexample_orig/Makefile ===
# Copyright (C) CNRS, INRIA, Université Bordeaux 1, Télécom SudParis
# See COPYING in top-level directory.

BIN = libexample.so libstatic_example.a main main_mpi

all: $(BIN)

main_mpi: main.c example.h
	mpicc -o main_mpi main.c -L. -lexample

main: main.c example.h libexample.so libstatic_example.a
	$(CC) -o main main.c -L. -lexample libstatic_example.a -O0 -g

libexample.so: example.o
	$(CC) --shared -o libexample.so example.o -ldl

libstatic_example.a: static_example.o
	ar rcs libstatic_example.a static_example.o

static_example.o: static_example.c
	$(CC) -c static_example.c  -O0 -g

example.o: example.c example.h
	$(CC) -o example.o -c example.c -fPIC  -O0 -g


clean:
	rm -f $(BIN) *.o

## eztrace-contrib 1.0.5

=== debian/changelog ===
eztrace-contrib (1.0.5-3) unstable; urgency=medium

  * rules: Do not strip modules for pptrace auto-load, otherwise they won't be
    loadable.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 14 Jan 2015 14:52:50 +0100

eztrace-contrib (1.0.5-2) unstable; urgency=medium

  * patches/libtool-path: Fix path to libtool (Closes: Bug#774609).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 08 Jan 2015 13:15:05 +0100

eztrace-contrib (1.0.5-1) unstable; urgency=medium

  * eztrace contrib build upload.
    - New libeztrace0-contrib containing the CUDA module.
  * New upstream release.
    - patches/fix_fortran_mpi_scatterv.patch: Remove, fixed upstream.
    - patches/Fix-fortan-communications-using-MPI_IN_PLACE-option.patch:
    Remove, fixed upstream.
    - patches/rpath: Remove, fixed upstream.
    - patches/static-bfd: Refresh.
  * rules: Fix calling testsuite.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 10 Sep 2014 17:23:49 +0200

eztrace (1.0.1-2) unstable; urgency=medium

  * patches/fix_fortran_mpi_scatterv.patch: Patch from Bertrand Putigny to fix
    the MPIF_Scatterv call.
  * patches/Fix-fortan-communications-using-MPI_IN_PLACE-option.patch: Patch
    from Bertrand Putigny to fix fortran mpi communications using MPI_IN_PLACE.
  * rules: Add parallel build support.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 10 Sep 2014 15:12:50 +0200

eztrace (1.0.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * control: Do not depend on openmpi on s390x (Closes: Bug#754624).
  * rules: Do not build against openmpi on s390x. Drop duplicate
  --with-mpi-include option. Run the testsuite against openmpi on other archs.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 13 Jul 2014 16:29:46 +0200

eztrace (1.0-1) unstable; urgency=medium

  * New upstream release.
  * Add missing zlib1g-dev build-dependency.
  * debian/copyright: Update, eztrace is now CeCILL-B instead of GPL2.
  * debian/rules: Build both mpich and openmpi MPI modules.
  * debian/control: Build-Depend on both mpich and openmpi.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 26 Jun 2014 09:47:38 +0200

eztrace (1.0~rc4-3-1) experimental; urgency=medium

  * New upstream half-release.
  * Disable pptrace on i386 too, as it is missing the MMAP_SYSCALLS
    definition. Enable it on arm, which now support it.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 25 Jun 2014 13:45:12 +0200

eztrace (1.0~rc4-2-1) experimental; urgency=medium

  * New upstream half-release.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 25 Jun 2014 11:08:49 +0200

eztrace (1.0~rc4-1) experimental; urgency=medium

  * New upstream release.
    - patches/bibliography: Remove patch, fixed upstream
  * control: Add missing binutils-dev and litl-tools build-deps.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Jun 2014 18:04:42 +0200

eztrace (1.0~rc3-1) experimental; urgency=medium

  * New upstream release.
    - patches/{libdir,link}: Remove patch, fixed upstream.
    - patches/bibliography: Fix building the documentation.
  * Do not install static libraries.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 11 Jun 2014 09:13:23 +0200

eztrace (1.0~rc1-2) experimental; urgency=medium

  * Depend on libpapi-dev only on Linux archs, and not on s390x.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 20 May 2014 18:46:40 +0200

eztrace (1.0~rc1-1) experimental; urgency=low

  * New upstream release.
    - patches/manpages, test-fix, mpi-fix, mpi3, pptrace-option,
    clang-ftbfs: Drop, integrated upstream.
    - control: Replace libfxt-dev build-depend with liblitl-dev.
    - rules: Replace fxt with litl.
  * patches/link: New patch, fix missing link againt liblitl.
  * patches/rpath: New patch, drop /usr/lib rpath.
  * control: Build-depend on libpapi-dev.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 19 May 2014 23:43:05 +0200

eztrace (0.9.1-6) unstable; urgency=low

  [ Arthur Marble ]
  * Fix FTBFS with clang (Closes: #743007).
    - Fixed the conflicting types error in
      src/core/eztrace_convert_core.c: moved a function above before where it is
      called.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 02 Apr 2014 17:14:00 +0200

eztrace (0.9.1-5) unstable; urgency=low

  * control: Replace binutils-dev build-dependency with libiberty-dev for
    libiberty.a
    (Closes: #730945).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 02 Dec 2013 16:31:23 +0100

eztrace (0.9.1-4) unstable; urgency=low

  * Bump Standards-Version to 3.9.5 (no changes).
  * patches/static-bfd: Link against libbfd statically to avoid rebuilding on
    each and every binutils upload (Closes: #728084).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Nov 2013 16:05:36 +0100

eztrace (0.9.1-3) unstable; urgency=medium

  * patches/manpages: Import manpages from upstream trunk.
  * control: Make eztrace depend on the same version of libeztrace0.
  * patches/libdir: Fix autostart load by fixing multiarch libdir.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 09 Oct 2013 19:01:27 +0200

eztrace (0.9.1-2) unstable; urgency=low

  * patches/pptrace-option: Add --without-pptrace option.
  * rules: Disable pptrace on non-linux-x86 ports.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 06 Sep 2013 00:23:00 +0200

eztrace (0.9.1-1) unstable; urgency=low

  * New upstream release.
    - patches/parameter_parsing_crash: Drop, merged upstream.
    - docs: Add README.stats.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 05 Sep 2013 17:33:34 +0200

eztrace (0.9-1) unstable; urgency=low

  * New upstream release.
    - patches/gtg: Remove, fixed upstream.
    - patches/extlib: Refresh.
    - control: switch to opari2.
  * Bump Standards-Version to 3.9.4 (no changes).
  * rules: Disable PIE hardening, it makes the static test module hang.
  * patches/test-fix: Fix test segfault.
  * patches/plugins-abi-version: Fix static test module too.
  * patches/mpi-fix: Fix list issue in MPI conversion.


=== debian/control ===
Source: eztrace-contrib
Section: contrib/devel
Priority: extra
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 8.0.0), dh-autoreconf,
 hardening-wrapper, gfortran,
 libiberty-dev, binutils-dev, zlib1g-dev,
 nvidia-cuda-toolkit, libcupti-dev, python, mesa-common-dev,
 fxt-tools, libgtg-dev, libpomp2-dev, liblitl-dev (>= 0.1.3~), litl-tools,
 libpapi-dev [!s390x !kfreebsd-any !hurd-any],
 libmpich-dev, libopenmpi-dev [!s390x], mpi-default-bin
Build-Conflicts: libeztrace0
Standards-Version: 3.9.5
Homepage: http://eztrace.gforge.inria.fr/
Vcs-Git: git://git.debian.org/collab-maint/eztrace.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/eztrace.git;a=summary

Package: libeztrace0-contrib
Section: contrib/libs
Architecture: any
Multi-arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libeztrace0
Pre-Depends: ${misc:Pre-Depends}
Description: Automatic execution trace generation for HPC - development files
 EZTrace is a tool that aims at generating automatically execution traces
 from HPC (High Performance Computing) programs. It generates execution
 trace files that can be interpreted by visualization tools such as
 ViTE. It uses LD_PRELOAD and dlsym() to intercept calls to the usual HPC
 primitives, to be observed.
 .
 This package contains the development files depending on CUDA.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH_CPU=$(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_HOST_ARCH_OS=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
export DEB_BUILD_HARDENING=1
export DEB_BUILD_HARDENING_PIE=0

NO_PPTRACE=

ifneq ($(DEB_HOST_ARCH_OS),linux)
NO_PPTRACE=--without-pptrace
endif
ifneq ($(DEB_HOST_ARCH_CPU),armel)
ifneq ($(DEB_HOST_ARCH_CPU),armhf)
ifneq ($(DEB_HOST_ARCH_CPU),amd64)
NO_PPTRACE=--without-pptrace
endif
endif
endif

ifeq ($(DEB_HOST_ARCH_CPU),s390x)
OPENMPI=no
else
OPENMPI=yes
endif

CONFIGURE=$(NO_PPTRACE) --with-cuda=/usr --with-cupti=/usr --with-litl=/usr --with-gtg=/usr --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -Bbuild-mpich -- $(CONFIGURE) --with-mpi-include=/usr/include/mpich --with-mpi-module-name=mpich --with-mpi-event-id=4

override_dh_auto_build:
	dh_auto_build -Bbuild-mpich -- -C src/modules/cuda

override_dh_auto_clean:
	dh_auto_clean -Bbuild-mpich -- -C src/modules/cuda
	rm -f test/automake/testcommon.h

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp -Bbuild-mpich -- -C src/modules/cuda

override_dh_auto_test:
	-dh_auto_test -Bbuild-mpich -- -C src/modules/cuda -k

override_dh_strip:
	dh_strip -Xlibeztrace-autostart-

## eztrace-contrib 1.1-2

=== debian/changelog ===
eztrace-contrib (1.1-2-1ubuntu1) xenial; urgency=medium

  * Add -D_FORCE_INLINES to CPPFLAGS to fix FTBFS.

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 31 Mar 2016 14:12:13 +0200

eztrace-contrib (1.1-2-1build1) xenial; urgency=medium

  * No-change rebuild for CUDA 7.5.

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 30 Mar 2016 18:43:54 +0200

eztrace-contrib (1.1-2-1) unstable; urgency=medium

  * New upstream release.
  * rules: Clear.
  * patches/static-bfd: Fix multiarch path.
  * patches/pptrace_symbol: Drop protected attribute, now useless and doesn't
  work with cuda.
  * control: Bump Standards-Version to 3.9.7 (no change).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 05 Feb 2016 12:57:39 +0100

eztrace (1.1-1-1) unstable; urgency=medium

  * New upstream release (Closes: Bug#804838).
    - patches/x32: Remove, merged upstream.
    - patches/no-rpath: Refresh.
    - patches/cupti: Remove, merged upstream.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 11 Dec 2015 14:14:37 +0100

eztrace (1.1-3) unstable; urgency=medium

  * control: Drop hardening-wrapper build dependency.
  * compat: Bump to 9.
  * rules:
    - Replace hardening-wrapper variables with dpkg-buildflags variables.
    - Disable parallelism in testsuite.
  * patches/static-bfd: Fix path to libbfd.a (Closes: Bug#807036)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Dec 2015 00:00:45 +0100

eztrace (1.1-2) unstable; urgency=medium

  * Fix x32 detection.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 15 Oct 2015 15:58:59 +0200

eztrace (1.1-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release (Closes: Bug#798753).
    - control: Add libstarpu-dev build-dep.
    - rules: Pass --with-starpu=/usr

  [ bartm ]
  * watch: generalize URL and mangle rc tag.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 13 Oct 2015 16:45:46 +0200

eztrace (1.1~rc1-2) experimental; urgency=medium

  * patches/git-a19e5ed-nopptrace: Cherry-pick upstream fix to disable pptrace
    on unsupported systems.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 13 May 2015 09:47:27 +0200

eztrace (1.1~rc1-1) experimental; urgency=medium

  * New upstream release
    - patches/{git-0cb79edc3411c0e04e411d7c8f60a6596632a4ea,
    git-8be2d52dfe036666a75160aa33531a52d5f2257a, git-ebe444a, libdir,
    no-armv7.patch: Remove patches, merged upstream.
    - patches/{no-libpomp, static-bfd}: Refresh.
    - control: Add pkg-config build-dep.
      Disable papi build-dep on some d-p archs.
    - rules: Remove strip hack, fixed upstream.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 May 2015 18:00:47 +0200

eztrace (1.0.6-6) unstable; urgency=medium

  * Update architecture lists from dependencies.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 28 Aug 2015 14:20:32 +0200

eztrace (1.0.6-5) unstable; urgency=medium

  * patches/git-1f988a88ea495623164c073d5bd99220b4b3fcde: Cherry-pick from
    upstream to fix gcc-5 build (Closes: Bug#777847).
  * watch: Generalize URL.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 16 Jun 2015 23:46:06 +0200

eztrace (1.0.6-4) unstable; urgency=medium

  * patches/libdir: Fix plugin path search for the pptrace case
    (closes: Bug#775286).
  * rules: Do not strip modules for pptrace auto-load, otherwise they won't be
    loadable.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 14 Jan 2015 14:52:50 +0100

eztrace (1.0.6-3) unstable; urgency=medium

  * patches/git-ebe444a: Cherry-pick from upstream to fix uninitialized value.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 02 Dec 2014 22:56:57 +0100

eztrace (1.0.6-2) unstable; urgency=medium

  [ Peter Michael Green ]
  * Remove -march=armv7-a from CFLAGS (Closes: Bug#770793).

  [ Samuel Thibault ]
  * Only enable pptrace support (which needs armv7) on armhf.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 24 Nov 2014 14:38:20 +0100

eztrace (1.0.6-1) unstable; urgency=medium

  * New upstream release.
  * patches/git-0cb79edc3411c0e04e411d7c8f60a6596632a4ea: Fix bogus
    parameters (Closes: Bug#760502).
  * patches/git-8be2d52dfe036666a75160aa33531a52d5f2257a: Fix licence
    advertised in documentation.
  * patches/pptrace, non_linux: Remove, merged upstream.
  * patches/check: Remove, fixed upstream.
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 23 Oct 2014 15:56:45 +0200

eztrace (1.0.5-3) unstable; urgency=medium

  * Disable EZTRACE_SIGALRM on !linux.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 11 Sep 2014 15:43:43 +0200

eztrace (1.0.5-2) unstable; urgency=medium

  * Fix disabling pptrace on !linux !amd64 !arm.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 10 Sep 2014 18:05:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: eztrace-contrib
 Section: contrib/devel
 Priority: extra
-Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 8.0.0), dh-autoreconf,
- hardening-wrapper, gfortran,
- libiberty-dev, binutils-dev, zlib1g-dev,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Samuel Thibault <sthibault@debian.org>
+Build-Depends: debhelper (>= 9~), dh-autoreconf, pkg-config,
+ gfortran,
+ libiberty-dev, binutils-dev (>= 2.25.51.20151113-1~), zlib1g-dev,
  nvidia-cuda-toolkit, libcupti-dev, python, mesa-common-dev,
  fxt-tools, libgtg-dev, libpomp2-dev, liblitl-dev (>= 0.1.3~), litl-tools,
- libpapi-dev [!s390x !kfreebsd-any !hurd-any],
- libmpich-dev, libopenmpi-dev [!s390x], mpi-default-bin
+ libstarpu-dev,
+ libpapi-dev [amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el ppc64],
+ libmpich-dev, libopenmpi-dev [alpha amd64 armel armhf arm64 i386 ia64 powerpc powerpcspe ppc64 ppc64el sparc sparc64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 mips64 mips64el mips mipsel], mpi-default-bin
 Build-Conflicts: libeztrace0
-Standards-Version: 3.9.5
+Standards-Version: 3.9.7
 Homepage: http://eztrace.gforge.inria.fr/
 Vcs-Git: git://git.debian.org/collab-maint/eztrace.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/eztrace.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_CPU=$(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
export DEB_CPPFLAGS_MAINT_APPEND = -D_FORCE_INLINES

ifeq ($(DEB_HOST_ARCH_CPU),s390x)
OPENMPI=no
else
OPENMPI=yes
endif

CONFIGURE_ENV=CUPTI_ROOT=/usr
CONFIGURE=--with-cuda=/usr --with-litl=/usr --with-gtg=/usr --with-starpu=/usr

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	$(CONFIGURE_ENV) dh_auto_configure -Bbuild-mpich -- $(CONFIGURE) --with-mpi-include=/usr/include/mpich --with-mpi-module-name=mpich --with-mpi-event-id=4

override_dh_auto_build:
	dh_auto_build -Bbuild-mpich -- -C src/modules/cuda

override_dh_auto_clean:
	dh_auto_clean -Bbuild-mpich -- -C src/modules/cuda
	rm -f test/automake/testcommon.h

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp -Bbuild-mpich -- -C src/modules/cuda

override_dh_auto_test:
	-dh_auto_test --no-parallel -Bbuild-mpich -- -C src/modules/cuda -k

override_dh_strip:
	dh_strip -Xlibeztrace-autostart-

## eztrace-contrib 1.1-5

=== debian/changelog ===
eztrace-contrib (1.1-5-5) unstable; urgency=medium

  * patches/nvcc: Take into account NVCCFLAGS, and pass -ccbin clang-3.8
    there (Closes: #852092).
  * control: Build-Depend on clang-3.8.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Jan 2017 21:02:31 +0100

eztrace (1.1-5-5) unstable; urgency=medium

  * rules: Fix multiarch path to openmpi headers.
  * Use canonical anonscm vcs URL.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Jan 2017 20:40:01 +0100

eztrace (1.1-5-4) experimental; urgency=medium

  * Apply upstream fix for PIE
  * rules: re-enable PIE.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 11 Nov 2016 18:08:16 +0100

eztrace (1.1-5-3) unstable; urgency=medium

  * rules: Fix passing other hardening flags.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 26 Oct 2016 11:14:03 +0200

eztrace (1.1-5-2) unstable; urgency=medium

  * starpu-1.2: Fix build against starpu-1.2.
  * rules: Really disable pie.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 25 Oct 2016 21:55:10 +0200

eztrace (1.1-5-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 13 Oct 2016 23:39:12 +0200

eztrace (1.1-3-1) unstable; urgency=medium

  * New upstream release.
    - series: drop pptrace_symbol and config-fortran, merged upstream.
  * patches/static-bfd: Fix linking statically with libopcodes.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 15 Jul 2016 02:34:43 +0200

eztrace (1.1-2-2) unstable; urgency=medium

  * Drop hardcoded openmpi availability, thanks Mattia Rizzolo for the
    suggestion.
    - control: Use mpi-defaults-dev instead of using a hardcoded condition on
    mpi-defaults-dev
    - rules: Include /usr/share/mpi-default-dev/debian_defaults and use
    ARCH_DEFAULT_MPI_IMPL instead of hardcoding architectures.
  * Add mips64el and x32 arch to papi dependency (Closes: Bug#814782).
  * patches/config-fortran: Cherry-pick upstream patch to fix fortran issue in
    configure (Closes: Bug#820863).
  * control: Make libeztrace-dev depend on liblitl-dev.
  * libeztrace-dev: Install usr/include/ev_codes.h too.
  * control: Bump Standards-Version to 3.9.8 (no change)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 23 May 2016 00:02:44 +0200

eztrace (1.1-2-1) unstable; urgency=medium

  * New upstream release.
  * rules: Clear.
  * patches/static-bfd: Fix multiarch path (Closes: Bug#807036).
  * patches/pptrace_symbol: Drop protected attribute, now useless and doesn't
  work with cuda.
  * control: Bump Standards-Version to 3.9.7 (no change).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 05 Feb 2016 12:57:39 +0100

=== debian/control ===
Source: eztrace-contrib
Section: contrib/devel
Priority: extra
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 9~), dh-autoreconf, pkg-config,
 gfortran,
 libiberty-dev, binutils-dev (>= 2.25.51.20151113-1~), zlib1g-dev,
 nvidia-cuda-toolkit, clang-3.8, libcupti-dev, python, mesa-common-dev,
 fxt-tools, libgtg-dev, libpomp2-dev, liblitl-dev (>= 0.1.3~), litl-tools,
 libstarpu-dev,
 libpapi-dev [amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el mips64el ppc64 x32],
 libmpich-dev, mpi-default-dev, mpi-default-bin
Build-Conflicts: libeztrace0
Standards-Version: 3.9.8
Homepage: http://eztrace.gforge.inria.fr/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/eztrace.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/eztrace.git

Package: libeztrace0-contrib
Section: contrib/libs
Architecture: any
Multi-arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libeztrace0
Pre-Depends: ${misc:Pre-Depends}
Description: Automatic execution trace generation for HPC - development files
 EZTrace is a tool that aims at generating automatically execution traces
 from HPC (High Performance Computing) programs. It generates execution
 trace files that can be interpreted by visualization tools such as
 ViTE. It uses LD_PRELOAD and dlsym() to intercept calls to the usual HPC
 primitives, to be observed.
 .
 This package contains the development files depending on CUDA.

=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,21 @@
 #!/usr/bin/make -f
 
-DEB_HOST_ARCH_CPU=$(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
-export DEB_CPPFLAGS_MAINT_APPEND = -D_FORCE_INLINES
+DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-ifeq ($(DEB_HOST_ARCH_CPU),s390x)
+include /usr/share/mpi-default-dev/debian_defaults
+
+ifeq ($(ARCH_DEFAULT_MPI_IMPL),openmpi)
+OPENMPI=yes
+else
 OPENMPI=no
-else
-OPENMPI=yes
 endif
 
 CONFIGURE_ENV=CUPTI_ROOT=/usr
 CONFIGURE=--with-cuda=/usr --with-litl=/usr --with-gtg=/usr --with-starpu=/usr
+
+export NVCCFLAGS = "-ccbin clang-3.8"
 
 %:
 	dh $@ --parallel --with autoreconf

## eztrace-contrib 1.1-7

=== debian/changelog ===
eztrace-contrib (1.1-7-5build1) bionic; urgency=medium

  * No-change rebuild against CUDA 9.1

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 05 Mar 2018 23:17:53 +0000

eztrace-contrib (1.1-7-5) unstable; urgency=medium

  * control: Bump to CUDA 9.
  * rules: Use gcc 6 for nvcc.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 12 Jan 2018 10:26:49 +0100

eztrace (1.1-7-4) unstable; urgency=medium

  [ Adrian Bunk ]
  * patches/armel-ftbfs.patch: Fix build on armel (Closes: Bug#881355)

  [ Samuel Thibault ]
  * patches/non-linux: Fix build on non-Linux and x32.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 10 Nov 2017 19:32:55 +0100

eztrace (1.1-7-3) unstable; urgency=medium

  [ François Trahay ]
  * patches/big-endian-fix: Complete fix for hang on big-endian archs (Closes: Bug#880266)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 07 Nov 2017 18:42:45 +0100

eztrace (1.1-7-2) unstable; urgency=medium

  [ François Trahay ]
  * patches/big-endian-fix: Fix hang on big-endian archs (Closes: Bug#880266)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 06 Nov 2017 13:45:43 +0100

eztrace (1.1-7-1) unstable; urgency=medium

  * New upstream release.
    - patches/pie: Remove, merged upstream.
    - patches/starpu-1.2: Remove, merged upstream.
    - patches/no-libpomp: Refresh.
    - patches/static-bfd: Refresh.
    - patches/binutils_2.29: Remove, merged upstream.
    - control: Bump liblitl-dev dependency.
  * control: Bump binutils dependency appropriately.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.1.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Oct 2017 17:01:25 +0100

eztrace (1.1-5-6) unstable; urgency=medium

  * patches/binutils_2.29: Fix build with binutils (>= 2.29) (Closes:
    Bug#871151).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Oct 2017 15:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: eztrace-contrib
 Section: contrib/devel
-Priority: extra
+Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper (>= 9~), dh-autoreconf, pkg-config,
  gfortran,
- libiberty-dev, binutils-dev (>= 2.25.51.20151113-1~), zlib1g-dev,
- nvidia-cuda-toolkit, clang-3.8, libcupti-dev, python, mesa-common-dev,
- fxt-tools, libgtg-dev, libpomp2-dev, liblitl-dev (>= 0.1.3~), litl-tools,
+ libiberty-dev, binutils-dev (>= 2.29~), zlib1g-dev,
+ nvidia-cuda-toolkit (>= 9~),
+ gcc-6, g++-6,
+# clang-3.8,
+ libcupti-dev, python, mesa-common-dev,
+ fxt-tools, libgtg-dev, libpomp2-dev, liblitl-dev (>= 0.1.9~), litl-tools,
  libstarpu-dev,
  libpapi-dev [amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el mips64el ppc64 x32],
  libmpich-dev, mpi-default-dev, mpi-default-bin
 Build-Conflicts: libeztrace0
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://eztrace.gforge.inria.fr/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/eztrace.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/eztrace.git

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,8 @@
 CONFIGURE_ENV=CUPTI_ROOT=/usr
 CONFIGURE=--with-cuda=/usr --with-litl=/usr --with-gtg=/usr --with-starpu=/usr
 
-export NVCCFLAGS = "-ccbin clang-3.8"
+#export NVCCFLAGS = "-ccbin clang-3.8"
+export NVCCFLAGS = "-ccbin gcc-6"
 
 %:
 	dh $@ --parallel --with autoreconf

## eztrace-contrib 1.1-8

=== debian/changelog ===
eztrace-contrib (1.1-8-6+contrib) unstable; urgency=medium

  * debian/libeztrace0-contrib.lintian-overrides: Silence warning.
  * watch: Generalize pattern.
  * rules: Rely on pre-initialized dpkg-architecture variables.
  * control: Build-depend on nvidia-cuda-toolkit-gcc to make sure we have a
    compiler that nvcc can work with (Closes: Bug#955795)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 16 May 2020 12:17:51 +0200

eztrace-contrib (1.1-8-6) unstable; urgency=medium

  * control: Bump Standards-Version to 4.4.0 (no changes).
  * patches/binutils-2.34: Fix build against binutils 2.34 (Closes: Bug#951883)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 24 Feb 2020 22:29:56 +0100

eztrace-contrib (1.1-8-5+contrib) unstable; urgency=medium

  * rules: Bump g++ version to 7.
  * patches/python3, control: Use python3 (Closes: Bug#936500)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 30 Aug 2019 10:03:55 +0200

eztrace-contrib (1.1-8-5) unstable; urgency=medium

  * control: Make sure we build against starpu-1.3.
  * patches/starpu-1.3: Complete.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 Aug 2019 17:31:34 +0200

eztrace-contrib (1.1-8-4) unstable; urgency=medium

  * patches/starpu-1.3: Fix build with starpu-1.3.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 Aug 2019 17:16:31 +0200

eztrace-contrib (1.1-8-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/control: Set Vcs-* to salsa.debian.org

  [ Samuel Thibault ]
  * rules: Set includedir to multi-arch, to avoid eztrace_config.h conflict
    between archs.
  * rules: Trick nvcc into compiling with g++ 8.
  * control: Do not build-depend on gcc 6 (Closes: #892389)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Jan 2019 16:51:14 +0100

eztrace-contrib (1.1-8-2) unstable; urgency=medium

  * debian/patches/ptrace-arm: Disable ptrace on armhf, it seems to hang there
    (Closes: Bug#909659).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 28 Sep 2018 11:08:02 +0200

eztrace-contrib (1.1-8-1) unstable; urgency=medium

  * New upstream release.
    - debian/patches/armel-ftbfs.patch: Upstreamed.
    - debian/patches/big-endian-fix: Upstreamed.
    - debian/patches/nvcc: Upstreamed.
  * Bump Standards-Version to 4.2.0 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 15 Sep 2018 09:49:19 +0200

eztrace-contrib (1.1-7-4) unstable; urgency=medium

  [ Adrian Bunk ]
  * patches/armel-ftbfs.patch: Fix build on armel (Closes: Bug#881355)

  [ Samuel Thibault ]
  * patches/non-linux: Fix build on non-Linux and x32.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 10 Nov 2017 19:32:55 +0100

eztrace-contrib (1.1-7-3) unstable; urgency=medium

  [ François Trahay ]
  * patches/big-endian-fix: Complete fix for hang on big-endian archs (Closes: Bug#880266)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 07 Nov 2017 18:42:45 +0100

eztrace-contrib (1.1-7-2) unstable; urgency=medium

  [ François Trahay ]
  * patches/big-endian-fix: Fix hang on big-endian archs (Closes: Bug#880266)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 06 Nov 2017 13:45:43 +0100

eztrace-contrib (1.1-7-1) unstable; urgency=medium

  * New upstream release.
    - patches/pie: Remove, merged upstream.
    - patches/starpu-1.2: Remove, merged upstream.
    - patches/no-libpomp: Refresh.
    - patches/static-bfd: Refresh.
    - patches/binutils_2.29: Remove, merged upstream.
    - control: Bump liblitl-dev dependency.
  * control: Bump binutils dependency appropriately.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.1.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Oct 2017 17:01:25 +0100

eztrace-contrib (1.1-5-6) unstable; urgency=medium

  * patches/binutils_2.29: Fix build with binutils (>= 2.29) (Closes:
    Bug#871151).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Oct 2017 15:29:16 +0200

eztrace-contrib (1.1-5-4) experimental; urgency=medium

  * Apply upstream fix for PIE
  * rules: re-enable PIE.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 11 Nov 2016 18:08:16 +0100

eztrace-contrib (1.1-5-3) unstable; urgency=medium

  * rules: Fix passing other hardening flags.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 26 Oct 2016 11:14:03 +0200

eztrace-contrib (1.1-5-2) unstable; urgency=medium

  * starpu-1.2: Fix build against starpu-1.2.
  * rules: Really disable pie.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 25 Oct 2016 21:55:10 +0200

eztrace-contrib (1.1-5-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 13 Oct 2016 23:39:12 +0200

eztrace-contrib (1.1-3-1) unstable; urgency=medium

  * New upstream release.
    - series: drop pptrace_symbol and config-fortran, merged upstream.
  * patches/static-bfd: Fix linking statically with libopcodes.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 15 Jul 2016 02:34:43 +0200

eztrace-contrib (1.1-2-2) unstable; urgency=medium

  * Drop hardcoded openmpi availability, thanks Mattia Rizzolo for the
    suggestion.
    - control: Use mpi-defaults-dev instead of using a hardcoded condition on
    mpi-defaults-dev
    - rules: Include /usr/share/mpi-default-dev/debian_defaults and use
    ARCH_DEFAULT_MPI_IMPL instead of hardcoding architectures.
  * Add mips64el and x32 arch to papi dependency (Closes: Bug#814782).
  * patches/config-fortran: Cherry-pick upstream patch to fix fortran issue in
    configure (Closes: Bug#820863).
  * control: Make libeztrace-dev depend on liblitl-dev.
  * libeztrace-dev: Install usr/include/ev_codes.h too.
  * control: Bump Standards-Version to 3.9.8 (no change)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 23 May 2016 00:02:44 +0200

eztrace-contrib (1.1-1-1) unstable; urgency=medium

  * New upstream release (Closes: Bug#804838).
    - patches/x32: Remove, merged upstream.
    - patches/no-rpath: Refresh.
    - patches/cupti: Remove, merged upstream.



=== debian/control ===
--- 
+++ 
@@ -5,19 +5,19 @@
 Build-Depends: debhelper (>= 9~), dh-autoreconf, pkg-config,
  gfortran,
  libiberty-dev, binutils-dev (>= 2.29~), zlib1g-dev,
- nvidia-cuda-toolkit (>= 9~),
- gcc-6, g++-6,
-# clang-3.8,
- libcupti-dev, python, mesa-common-dev,
+ nvidia-cuda-toolkit-gcc (>= 9~),
+# gcc-7, g++-7,
+# clang-5.0,
+ libcupti-dev, python3, mesa-common-dev,
  fxt-tools, libgtg-dev, libpomp2-dev, liblitl-dev (>= 0.1.9~), litl-tools,
- libstarpu-dev,
+ libstarpu-dev (>= 1.3~),
  libpapi-dev [amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el mips64el ppc64 x32],
  libmpich-dev, mpi-default-dev, mpi-default-bin
 Build-Conflicts: libeztrace0
-Standards-Version: 4.1.1
+Standards-Version: 4.4.0
 Homepage: http://eztrace.gforge.inria.fr/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/eztrace.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/eztrace.git
+Vcs-Git: https://salsa.debian.org/debian/eztrace.git -b contrib
+Vcs-Browser: https://salsa.debian.org/debian/eztrace/tree/contrib
 
 Package: libeztrace0-contrib
 Section: contrib/libs

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-
+include /usr/share/dpkg/architecture.mk
 include /usr/share/mpi-default-dev/debian_defaults
 
 ifeq ($(ARCH_DEFAULT_MPI_IMPL),openmpi)
@@ -13,10 +12,11 @@
 endif
 
 CONFIGURE_ENV=CUPTI_ROOT=/usr
-CONFIGURE=--with-cuda=/usr --with-litl=/usr --with-gtg=/usr --with-starpu=/usr
+CONFIGURE=--with-cuda=/usr --with-litl=/usr --with-gtg=/usr --with-starpu=/usr --includedir=/usr/include/$(DEB_HOST_MULTIARCH)
 
-#export NVCCFLAGS = "-ccbin clang-3.8"
-export NVCCFLAGS = "-ccbin gcc-6"
+#export NVCCFLAGS = "-ccbin clang-5.0"
+#export NVCCFLAGS = "-ccbin gcc-7"
+export NVCCFLAGS = "--compiler-options -std=c++03 --compiler-options -D__GNUC__=7"
 
 %:
 	dh $@ --parallel --with autoreconf

=== debian/watch ===
version=3
opts=uversionmangle=s/-(rc\d*)$/~$1/ \
https://gforge.inria.fr/frs/?group_id=2774 \
(?:|.*/)eztrace(?:[_\-]v?|)@ANY_VERSION@@ARCHIVE_EXT@
